Index: c/src/lib/aclocal.m4
===================================================================
--- c/src/lib/aclocal.m4	(revision e1929ce8e3661eb1ee3dcd4fc11616e43f773c3b)
+++ c/src/lib/aclocal.m4	(revision 01be59d9396b4d9980006f774c243dc05e4b91a3)
@@ -931,16 +931,15 @@
 AC_REQUIRE([RTEMS_CHECK_CPU])dnl
 AC_REQUIRE([RTEMS_PROG_CXX_FOR_TARGET])dnl
-AC_CACHE_VAL(rtems_cv_HAS_CPLUSPLUS,
-  [dnl
-    if test "$RTEMS_HAS_CPLUSPLUS" = "yes"; then
+AC_CACHE_CHECK([whether to build rtems++],
+  rtems_cv_HAS_CPLUSPLUS,
+  [ if test "$RTEMS_HAS_CPLUSPLUS" = "yes"; then
       if test -n "$CXX_FOR_TARGET"; then
-        rtems_cv_HAS_CPLUSPLUS="yes";
+        rtems_cv_HAS_CPLUSPLUS="yes"
       else
-        rtems_cv_HAS_CPLUSPLUS="no";
+        rtems_cv_HAS_CPLUSPLUS="no"
       fi
     else
-      rtems_cv_HAS_CPLUSPLUS="no";
-    fi
-  ])dnl
+      rtems_cv_HAS_CPLUSPLUS="no"
+    fi])
 HAS_CPLUSPLUS="$rtems_cv_HAS_CPLUSPLUS";
 AC_SUBST(HAS_CPLUSPLUS)dnl
@@ -952,13 +951,24 @@
 [dnl
 AC_REQUIRE([RTEMS_CHECK_CPU])dnl
-AC_CACHE_VAL(rtems_cv_HAS_NETWORKING,
+AC_CACHE_CHECK([whether BSP supports networking],
+  rtems_cv_HAS_NETWORKING,
   [dnl
-    if test "$RTEMS_HAS_NETWORKING" = "yes"; then
-      rtems_cv_HAS_NETWORKING="yes";
-    else
-      rtems_cv_HAS_NETWORKING="no";
-    fi
-  ])dnl
-HAS_NETWORKING="$rtems_cv_HAS_NETWORKING";
+    case "$RTEMS_CPU" in
+    unix*)
+      rtems_cv_HAS_NETWORKING="no"
+      ;;
+    *)
+      if test "${RTEMS_HAS_NETWORKING}" = "yes"; then
+        rtems_cv_HAS_NETWORKING="yes";
+      else
+        rtems_cv_HAS_NETWORKING="disabled";
+      fi
+      ;;
+    esac])
+if test "$rtems_cv_HAS_NETWORKING" = "yes"; then
+  HAS_NETWORKING="yes";
+else
+  HAS_NETWORKING="no";
+fi
 AC_SUBST(HAS_NETWORKING)dnl
 ])
Index: c/src/lib/configure
===================================================================
--- c/src/lib/configure	(revision e1929ce8e3661eb1ee3dcd4fc11616e43f773c3b)
+++ c/src/lib/configure	(revision 01be59d9396b4d9980006f774c243dc05e4b91a3)
@@ -2611,31 +2611,48 @@
 
 
+echo $ac_n "checking whether to build rtems++""... $ac_c" 1>&6
+echo "configure:2615: checking whether to build rtems++" >&5
 if eval "test \"`echo '$''{'rtems_cv_HAS_CPLUSPLUS'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
-      if test "$RTEMS_HAS_CPLUSPLUS" = "yes"; then
+   if test "$RTEMS_HAS_CPLUSPLUS" = "yes"; then
       if test -n "$CXX_FOR_TARGET"; then
-        rtems_cv_HAS_CPLUSPLUS="yes";
+        rtems_cv_HAS_CPLUSPLUS="yes"
       else
-        rtems_cv_HAS_CPLUSPLUS="no";
+        rtems_cv_HAS_CPLUSPLUS="no"
       fi
     else
-      rtems_cv_HAS_CPLUSPLUS="no";
-    fi
-  
-fi
+      rtems_cv_HAS_CPLUSPLUS="no"
+    fi
+fi
+
+echo "$ac_t""$rtems_cv_HAS_CPLUSPLUS" 1>&6
 HAS_CPLUSPLUS="$rtems_cv_HAS_CPLUSPLUS";
 
+echo $ac_n "checking whether BSP supports networking""... $ac_c" 1>&6
+echo "configure:2634: checking whether BSP supports networking" >&5
 if eval "test \"`echo '$''{'rtems_cv_HAS_NETWORKING'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
-      if test "$RTEMS_HAS_NETWORKING" = "yes"; then
-      rtems_cv_HAS_NETWORKING="yes";
-    else
-      rtems_cv_HAS_NETWORKING="no";
-    fi
-  
-fi
-HAS_NETWORKING="$rtems_cv_HAS_NETWORKING";
+      case "$RTEMS_CPU" in
+    unix*)
+      rtems_cv_HAS_NETWORKING="no"
+      ;;
+    *)
+      if test "${RTEMS_HAS_NETWORKING}" = "yes"; then
+        rtems_cv_HAS_NETWORKING="yes";
+      else
+        rtems_cv_HAS_NETWORKING="disabled";
+      fi
+      ;;
+    esac
+fi
+
+echo "$ac_t""$rtems_cv_HAS_NETWORKING" 1>&6
+if test "$rtems_cv_HAS_NETWORKING" = "yes"; then
+  HAS_NETWORKING="yes";
+else
+  HAS_NETWORKING="no";
+fi
 
 
@@ -2679,5 +2696,5 @@
   
 echo $ac_n "checking for Makefile.in in libbsp/${bspcpudir}$bspdir""... $ac_c" 1>&6
-echo "configure:2682: checking for Makefile.in in libbsp/${bspcpudir}$bspdir" >&5
+echo "configure:2699: checking for Makefile.in in libbsp/${bspcpudir}$bspdir" >&5
 if test -d $srcdir/libbsp/${bspcpudir}$bspdir; then
   rtems_av_save_dir=`pwd`;
@@ -2694,5 +2711,5 @@
   
 echo $ac_n "checking for Makefile.in in libbsp/${bspcpudir}shared""... $ac_c" 1>&6
-echo "configure:2697: checking for Makefile.in in libbsp/${bspcpudir}shared" >&5
+echo "configure:2714: checking for Makefile.in in libbsp/${bspcpudir}shared" >&5
 if test -d $srcdir/libbsp/${bspcpudir}shared; then
   rtems_av_save_dir=`pwd`;
@@ -2720,4 +2737,8 @@
 if test "$HAS_MP" = "yes"; then
   makefiles="$makefiles libbsp/shmdr/Makefile"
+else
+  # HACK: sed out shmsupp/Makefile from makefiles
+  t="libbsp/$bspcpudir$bspdir/shmsupp"
+  makefiles=`echo "$makefiles" | sed -e "s%$t/.*Makefile%%g"`
 fi
 
@@ -2734,5 +2755,5 @@
 
 echo $ac_n "checking for Makefile.in in libcpu/$RTEMS_CPU""... $ac_c" 1>&6
-echo "configure:2737: checking for Makefile.in in libcpu/$RTEMS_CPU" >&5
+echo "configure:2758: checking for Makefile.in in libcpu/$RTEMS_CPU" >&5
 if test -d $srcdir/libcpu/$RTEMS_CPU; then
   rtems_av_save_dir=`pwd`;
@@ -2754,5 +2775,5 @@
     
 echo $ac_n "checking for Makefile.in in start/$RTEMS_CPU""... $ac_c" 1>&6
-echo "configure:2757: checking for Makefile.in in start/$RTEMS_CPU" >&5
+echo "configure:2778: checking for Makefile.in in start/$RTEMS_CPU" >&5
 if test -d $srcdir/start/$RTEMS_CPU; then
   rtems_av_save_dir=`pwd`;
@@ -2771,11 +2792,8 @@
 
 # If the TCP/IP stack is enabled, then find all TCP/IP Makefiles
-echo $ac_n "checking if networking is enabled? ""... $ac_c" 1>&6
-echo "configure:2775: checking if networking is enabled? " >&5
-echo "$ac_t""$RTEMS_HAS_NETWORKING" 1>&6
-if test "$RTEMS_HAS_NETWORKING" = "yes"; then
+if test "$HAS_NETWORKING" = "yes"; then
   
 echo $ac_n "checking for Makefile.in in libnetworking""... $ac_c" 1>&6
-echo "configure:2780: checking for Makefile.in in libnetworking" >&5
+echo "configure:2798: checking for Makefile.in in libnetworking" >&5
 if test -d $srcdir/libnetworking; then
   rtems_av_save_dir=`pwd`;
@@ -2792,5 +2810,5 @@
   
 echo $ac_n "checking for Makefile.in in librpc""... $ac_c" 1>&6
-echo "configure:2795: checking for Makefile.in in librpc" >&5
+echo "configure:2813: checking for Makefile.in in librpc" >&5
 if test -d $srcdir/librpc; then
   rtems_av_save_dir=`pwd`;
@@ -2806,7 +2824,7 @@
 
 
-  if test "$RTEMS_HAS_RDBG" = "yes"; then
+  if test "$HAS_RDBG" = "yes"; then
     echo $ac_n "checking whether BSP supports librdbg""... $ac_c" 1>&6
-echo "configure:2811: checking whether BSP supports librdbg" >&5
+echo "configure:2829: checking whether BSP supports librdbg" >&5
 if eval "test \"`echo '$''{'rtems_cv_HAS_RDBG'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
@@ -2830,5 +2848,5 @@
 set dummy rpcgen; ac_word=$2
 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
-echo "configure:2833: checking for $ac_word" >&5
+echo "configure:2851: checking for $ac_word" >&5
 if eval "test \"`echo '$''{'ac_cv_prog_RPCGEN'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
@@ -2861,5 +2879,5 @@
 set dummy $ac_prog; ac_word=$2
 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
-echo "configure:2864: checking for $ac_word" >&5
+echo "configure:2882: checking for $ac_word" >&5
 if eval "test \"`echo '$''{'ac_cv_prog_AWK'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
@@ -2900,5 +2918,5 @@
       
 echo $ac_n "checking for Makefile.in in librdbg""... $ac_c" 1>&6
-echo "configure:2903: checking for Makefile.in in librdbg" >&5
+echo "configure:2921: checking for Makefile.in in librdbg" >&5
 if test -d $srcdir/librdbg; then
   rtems_av_save_dir=`pwd`;
@@ -2918,8 +2936,8 @@
 
 # If the C++ support is enabled, then include the Makefiles
-if test "$RTEMS_HAS_CPLUSPLUS" = "yes"; then
+if test "$HAS_CPLUSPLUS" = "yes"; then
   
 echo $ac_n "checking for Makefile.in in librtems++""... $ac_c" 1>&6
-echo "configure:2924: checking for Makefile.in in librtems++" >&5
+echo "configure:2942: checking for Makefile.in in librtems++" >&5
 if test -d $srcdir/librtems++; then
   rtems_av_save_dir=`pwd`;
@@ -2952,5 +2970,5 @@
 if test "$RTEMS_HAS_HWAPI" = "yes"; then
   echo $ac_n "checking whether libwapi is present""... $ac_c" 1>&6
-echo "configure:2955: checking whether libwapi is present" >&5
+echo "configure:2973: checking whether libwapi is present" >&5
   if test -f ${srcdir}/libhwapi/Makefile.in ; then
     echo "$ac_t""yes" 1>&6
@@ -2958,5 +2976,5 @@
     
 echo $ac_n "checking for Makefile.in in libhwapi/analog""... $ac_c" 1>&6
-echo "configure:2961: checking for Makefile.in in libhwapi/analog" >&5
+echo "configure:2979: checking for Makefile.in in libhwapi/analog" >&5
 if test -d $srcdir/libhwapi/analog; then
   rtems_av_save_dir=`pwd`;
@@ -2973,5 +2991,5 @@
     
 echo $ac_n "checking for Makefile.in in libhwapi/discrete""... $ac_c" 1>&6
-echo "configure:2976: checking for Makefile.in in libhwapi/discrete" >&5
+echo "configure:2994: checking for Makefile.in in libhwapi/discrete" >&5
 if test -d $srcdir/libhwapi/discrete; then
   rtems_av_save_dir=`pwd`;
@@ -2988,5 +3006,5 @@
     
 echo $ac_n "checking for Makefile.in in libhwapi/drivers""... $ac_c" 1>&6
-echo "configure:2991: checking for Makefile.in in libhwapi/drivers" >&5
+echo "configure:3009: checking for Makefile.in in libhwapi/drivers" >&5
 if test -d $srcdir/libhwapi/drivers; then
   rtems_av_save_dir=`pwd`;
@@ -3003,5 +3021,5 @@
     
 echo $ac_n "checking for Makefile.in in libhwapi/non_volatile_memory""... $ac_c" 1>&6
-echo "configure:3006: checking for Makefile.in in libhwapi/non_volatile_memory" >&5
+echo "configure:3024: checking for Makefile.in in libhwapi/non_volatile_memory" >&5
 if test -d $srcdir/libhwapi/non_volatile_memory; then
   rtems_av_save_dir=`pwd`;
@@ -3018,5 +3036,5 @@
     
 echo $ac_n "checking for Makefile.in in libhwapi/serial""... $ac_c" 1>&6
-echo "configure:3021: checking for Makefile.in in libhwapi/serial" >&5
+echo "configure:3039: checking for Makefile.in in libhwapi/serial" >&5
 if test -d $srcdir/libhwapi/serial; then
   rtems_av_save_dir=`pwd`;
@@ -3033,5 +3051,5 @@
     
 echo $ac_n "checking for Makefile.in in libhwapi/support""... $ac_c" 1>&6
-echo "configure:3036: checking for Makefile.in in libhwapi/support" >&5
+echo "configure:3054: checking for Makefile.in in libhwapi/support" >&5
 if test -d $srcdir/libhwapi/support; then
   rtems_av_save_dir=`pwd`;
@@ -3048,5 +3066,5 @@
     
 echo $ac_n "checking for Makefile.in in libhwapi/wrapup""... $ac_c" 1>&6
-echo "configure:3051: checking for Makefile.in in libhwapi/wrapup" >&5
+echo "configure:3069: checking for Makefile.in in libhwapi/wrapup" >&5
 if test -d $srcdir/libhwapi/wrapup; then
   rtems_av_save_dir=`pwd`;
@@ -3074,7 +3092,9 @@
 
 # pick up all the Makefiles in required parts of the tree
+if test "$RTEMS_CPU" != "unix"; then
+## HACK: Suppress libchip for unix
 
 echo $ac_n "checking for Makefile.in in libchip""... $ac_c" 1>&6
-echo "configure:3079: checking for Makefile.in in libchip" >&5
+echo "configure:3099: checking for Makefile.in in libchip" >&5
 if test -d $srcdir/libchip; then
   rtems_av_save_dir=`pwd`;
@@ -3089,7 +3109,9 @@
 
 
+fi
+
 
 echo $ac_n "checking for Makefile.in in libmisc""... $ac_c" 1>&6
-echo "configure:3094: checking for Makefile.in in libmisc" >&5
+echo "configure:3116: checking for Makefile.in in libmisc" >&5
 if test -d $srcdir/libmisc; then
   rtems_av_save_dir=`pwd`;
Index: c/src/lib/configure.in
===================================================================
--- c/src/lib/configure.in	(revision e1929ce8e3661eb1ee3dcd4fc11616e43f773c3b)
+++ c/src/lib/configure.in	(revision 01be59d9396b4d9980006f774c243dc05e4b91a3)
@@ -101,4 +101,8 @@
 if test "$HAS_MP" = "yes"; then
   makefiles="$makefiles libbsp/shmdr/Makefile"
+else
+  # HACK: sed out shmsupp/Makefile from makefiles
+  t="libbsp/$bspcpudir$bspdir/shmsupp"
+  makefiles=`echo "$makefiles" | sed -e "s%$t/.*Makefile%%g"`
 fi
 
@@ -119,11 +123,9 @@
 
 # If the TCP/IP stack is enabled, then find all TCP/IP Makefiles
-AC_MSG_CHECKING([if networking is enabled? ])
-AC_MSG_RESULT($RTEMS_HAS_NETWORKING)
-if test "$RTEMS_HAS_NETWORKING" = "yes"; then
+if test "$HAS_NETWORKING" = "yes"; then
   RTEMS_CHECK_MAKEFILE(libnetworking)
   RTEMS_CHECK_MAKEFILE(librpc)
 
-  if test "$RTEMS_HAS_RDBG" = "yes"; then
+  if test "$HAS_RDBG" = "yes"; then
     RTEMS_CHECK_RDBG(RTEMS_BSP)
 
@@ -145,5 +147,5 @@
 
 # If the C++ support is enabled, then include the Makefiles
-if test "$RTEMS_HAS_CPLUSPLUS" = "yes"; then
+if test "$HAS_CPLUSPLUS" = "yes"; then
   RTEMS_CHECK_MAKEFILE(librtems++)
 fi
@@ -176,5 +178,9 @@
 
 # pick up all the Makefiles in required parts of the tree
+if test "$RTEMS_CPU" != "unix"; then
+## HACK: Suppress libchip for unix
 RTEMS_CHECK_MAKEFILE(libchip)
+fi
+
 RTEMS_CHECK_MAKEFILE(libmisc)
 
Index: c/src/make/aclocal.m4
===================================================================
--- c/src/make/aclocal.m4	(revision e1929ce8e3661eb1ee3dcd4fc11616e43f773c3b)
+++ c/src/make/aclocal.m4	(revision 01be59d9396b4d9980006f774c243dc05e4b91a3)
@@ -1019,16 +1019,15 @@
 AC_REQUIRE([RTEMS_CHECK_CPU])dnl
 AC_REQUIRE([RTEMS_PROG_CXX_FOR_TARGET])dnl
-AC_CACHE_VAL(rtems_cv_HAS_CPLUSPLUS,
-  [dnl
-    if test "$RTEMS_HAS_CPLUSPLUS" = "yes"; then
+AC_CACHE_CHECK([whether to build rtems++],
+  rtems_cv_HAS_CPLUSPLUS,
+  [ if test "$RTEMS_HAS_CPLUSPLUS" = "yes"; then
       if test -n "$CXX_FOR_TARGET"; then
-        rtems_cv_HAS_CPLUSPLUS="yes";
+        rtems_cv_HAS_CPLUSPLUS="yes"
       else
-        rtems_cv_HAS_CPLUSPLUS="no";
+        rtems_cv_HAS_CPLUSPLUS="no"
       fi
     else
-      rtems_cv_HAS_CPLUSPLUS="no";
-    fi
-  ])dnl
+      rtems_cv_HAS_CPLUSPLUS="no"
+    fi])
 HAS_CPLUSPLUS="$rtems_cv_HAS_CPLUSPLUS";
 AC_SUBST(HAS_CPLUSPLUS)dnl
@@ -1040,13 +1039,24 @@
 [dnl
 AC_REQUIRE([RTEMS_CHECK_CPU])dnl
-AC_CACHE_VAL(rtems_cv_HAS_NETWORKING,
+AC_CACHE_CHECK([whether BSP supports networking],
+  rtems_cv_HAS_NETWORKING,
   [dnl
-    if test "$RTEMS_HAS_NETWORKING" = "yes"; then
-      rtems_cv_HAS_NETWORKING="yes";
-    else
-      rtems_cv_HAS_NETWORKING="no";
-    fi
-  ])dnl
-HAS_NETWORKING="$rtems_cv_HAS_NETWORKING";
+    case "$RTEMS_CPU" in
+    unix*)
+      rtems_cv_HAS_NETWORKING="no"
+      ;;
+    *)
+      if test "${RTEMS_HAS_NETWORKING}" = "yes"; then
+        rtems_cv_HAS_NETWORKING="yes";
+      else
+        rtems_cv_HAS_NETWORKING="disabled";
+      fi
+      ;;
+    esac])
+if test "$rtems_cv_HAS_NETWORKING" = "yes"; then
+  HAS_NETWORKING="yes";
+else
+  HAS_NETWORKING="no";
+fi
 AC_SUBST(HAS_NETWORKING)dnl
 ])
Index: c/src/make/configure
===================================================================
--- c/src/make/configure	(revision e1929ce8e3661eb1ee3dcd4fc11616e43f773c3b)
+++ c/src/make/configure	(revision 01be59d9396b4d9980006f774c243dc05e4b91a3)
@@ -2998,31 +2998,48 @@
 fi
 
+echo $ac_n "checking whether to build rtems++""... $ac_c" 1>&6
+echo "configure:3002: checking whether to build rtems++" >&5
 if eval "test \"`echo '$''{'rtems_cv_HAS_CPLUSPLUS'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
-      if test "$RTEMS_HAS_CPLUSPLUS" = "yes"; then
+   if test "$RTEMS_HAS_CPLUSPLUS" = "yes"; then
       if test -n "$CXX_FOR_TARGET"; then
-        rtems_cv_HAS_CPLUSPLUS="yes";
+        rtems_cv_HAS_CPLUSPLUS="yes"
       else
-        rtems_cv_HAS_CPLUSPLUS="no";
+        rtems_cv_HAS_CPLUSPLUS="no"
       fi
     else
-      rtems_cv_HAS_CPLUSPLUS="no";
-    fi
-  
-fi
+      rtems_cv_HAS_CPLUSPLUS="no"
+    fi
+fi
+
+echo "$ac_t""$rtems_cv_HAS_CPLUSPLUS" 1>&6
 HAS_CPLUSPLUS="$rtems_cv_HAS_CPLUSPLUS";
 
+echo $ac_n "checking whether BSP supports networking""... $ac_c" 1>&6
+echo "configure:3021: checking whether BSP supports networking" >&5
 if eval "test \"`echo '$''{'rtems_cv_HAS_NETWORKING'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
-      if test "$RTEMS_HAS_NETWORKING" = "yes"; then
-      rtems_cv_HAS_NETWORKING="yes";
-    else
-      rtems_cv_HAS_NETWORKING="no";
-    fi
-  
-fi
-HAS_NETWORKING="$rtems_cv_HAS_NETWORKING";
+      case "$RTEMS_CPU" in
+    unix*)
+      rtems_cv_HAS_NETWORKING="no"
+      ;;
+    *)
+      if test "${RTEMS_HAS_NETWORKING}" = "yes"; then
+        rtems_cv_HAS_NETWORKING="yes";
+      else
+        rtems_cv_HAS_NETWORKING="disabled";
+      fi
+      ;;
+    esac
+fi
+
+echo "$ac_t""$rtems_cv_HAS_NETWORKING" 1>&6
+if test "$rtems_cv_HAS_NETWORKING" = "yes"; then
+  HAS_NETWORKING="yes";
+else
+  HAS_NETWORKING="no";
+fi
 
 
Index: c/src/tests/Makefile.in
===================================================================
--- c/src/tests/Makefile.in	(revision e1929ce8e3661eb1ee3dcd4fc11616e43f773c3b)
+++ c/src/tests/Makefile.in	(revision 01be59d9396b4d9980006f774c243dc05e4b91a3)
@@ -102,5 +102,5 @@
 ACLOCAL_AMFLAGS = -I $(RTEMS_TOPdir)/aclocal
 
-SUBDIRS = support @subdirs@
+SUBDIRS = @subdirs@
 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
 mkinstalldirs = $(SHELL) $(top_srcdir)/../../../mkinstalldirs
